Loading...
Searching...
No Matches
adapt.cc File Reference

Go to the source code of this file.

## Namespaces

namespace | rheolef
| This file is part of Rheolef.

## Macros

#define | _RHEOLEF_instanciation(T, M)

## Functions

template<class T , class M >
geo_basic< T, M > | adapt_gmsh (const field_basic< T, M > &uh, const adapt_option &opts)
template<class T , class M >
geo_basic< T, M > | adapt_bamg (const field_basic< T, M > &uh, const adapt_option &opts)
template<class T , class M >
field_basic< T, M > | proj (const field_basic< T, M > &uh, const std::string &approx="P1")
template<class T , class M >
field_basic< T, M > | smooth (const field_basic< T, M > &uh, size_t n=1)
template<class T , class M >
field_basic< T, M > | hessian (const field_basic< T, M > &uh)
template<class T , class M >
field_basic< T, M > | hessian_criterion (const field_basic< T, M > &uh0, const adapt_option &opts)
template<class T , class M >
geo_basic< T, M > | adapt (const field_basic< T, M > &uh, const adapt_option &opts)
| adapt(uh,opts): see the `adapt` page for the full documentation
| _RHEOLEF_instanciation (Float, sequential) _RHEOLEF_instanciation(Float

## Macro Definition Documentation

## _RHEOLEF_instanciation

#define _RHEOLEF_instanciation | ( |  | T,
|  |  | M
| ) |  |

Value:
template field_basic<T,M> proj (const field_basic<T,M>&, const std::string&); \
template field_basic<T,M> smooth (const field_basic<T,M>&, size_t); \
template field_basic<T,M> hessian (const field_basic<T,M>&); \
template field_basic<T,M> hessian_criterion (const field_basic<T,M>&, const adapt_option&); \
template geo_basic<T,M> adapt (const field_basic<T,M>&, const adapt_option&);
proj
field_basic< Float, sequential > proj(size_t extract_id, const field_basic< Float, sequential > &uh, bool do_lumped_mass, string use_proj_approx, reuse_proj_form_type reuse)
Definition branch.cc:450

Definition at line 195 of file adapt.cc.